Last Comment Bug 843438 - ignore private tabs on fennec when there is no private-browsing permission
: ignore private tabs on fennec when there is no private-browsing permission
Status: RESOLVED FIXED
:
Product: Add-on SDK
Classification: Client Software
Component: General (show other bugs)
: unspecified
: All Android
: P1 normal (vote)
: 1.14
Assigned To: Alexandre Poirot [:ochameau]
:
:
Mentors:
Depends on: 838981
Blocks: ptpbmode 852645
  Show dependency treegraph
 
Reported: 2013-02-20 19:04 PST by Erik Vold [:erikvold] (please needinfo? me)
Modified: 2013-03-28 13:19 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Pull request 856 (165 bytes, text/html)
2013-03-14 11:32 PDT, Alexandre Poirot [:ochameau]
evold: review+
Details

Description Erik Vold [:erikvold] (please needinfo? me) 2013-02-20 19:04:39 PST
the tabs module on fennec should ignore private tabs when they are not supported by the add-on.
Comment 1 Erik Vold [:erikvold] (please needinfo? me) 2013-03-07 14:18:18 PST
I'm sorry Alex, I didn't realize I had separated this task from bug 838981, do you think you could take this one on too?
Comment 2 Alexandre Poirot [:ochameau] 2013-03-07 15:17:24 PST
Not until the workweek now. But sure I can take over this bug if there is no emergency.
Comment 3 Erik Vold [:erikvold] (please needinfo? me) 2013-03-07 16:40:51 PST
Cool, I'll leave it assigned to you for now then, if I can get to it before you then I'll let you know.
Comment 4 Alexandre Poirot [:ochameau] 2013-03-14 11:32:46 PDT
Created attachment 725035 [details]
Pull request 856

Work in progress.
Comment 5 Alexandre Poirot [:ochameau] 2013-03-20 08:27:19 PDT
Comment on attachment 725035 [details]
Pull request 856

Tested, ready for review!

In this patch I'm also removing getContentWindowForTab in favor of getTabContentWindow as they are same functions.
Comment 6 [github robot] 2013-03-25 10:19:09 PDT
Commits pushed to master at https://github.com/mozilla/addon-sdk

https://github.com/mozilla/addon-sdk/commit/e50f0930cd6ff23307a64a8c040cbb7d497abd80
Bug 843438 - ignore private tabs on fennec when there is no private-browsing permission

https://github.com/mozilla/addon-sdk/commit/d3205730f9eeb6d4a7617053880229f5a2e98ef1
Merge pull request #856 from ochameau/fennec-pb-tabs

Fix Bug 843438 - ignore private tabs on fennec when there is no private-browsing permission r=@erikvold
Comment 7 [github robot] 2013-03-28 13:19:06 PDT
Commits pushed to stabilization at https://github.com/mozilla/addon-sdk

https://github.com/mozilla/addon-sdk/commit/e50f0930cd6ff23307a64a8c040cbb7d497abd80
Bug 843438 - ignore private tabs on fennec when there is no private-browsing permission

https://github.com/mozilla/addon-sdk/commit/d3205730f9eeb6d4a7617053880229f5a2e98ef1
Merge pull request #856 from ochameau/fennec-pb-tabs

Note You need to log in before you can comment on or make changes to this bug.